#include <bits/stdc++.h>

using namespace std;

int duplaPovrsina(int x1, int y1, int x2, int y2, int x3, int y3)
{
    return abs(x1 * (y2 - y3) + x2 * (y1 - y3) + x3 * (y1 - y2));
}

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);

    int n; cin >> n;
    int x[n], y[n];

    for(int i = 0; i < n; i++)
    {
        cin >> x[i] >> y[i];
    }

    long long rez = 0;

    if(n == 3)
    {
        int S = duplaPovrsina(x[0], y[0], x[1], y[1], x[2], y[2]);
        int S1 = duplaPovrsina(0, 0, x[1], y[1], x[2], y[2]);
        int S2 = duplaPovrsina(x[0], y[0], 0, 0, x[2], y[2]);
        int S3 = duplaPovrsina(x[0], y[0], x[1], y[1], 0, 0);

        if(S1 + S2 + S3 == S)
            rez++;
        if(S1 == 0)
            rez++;
        if(S2 == 0)
            rez++;
        if(S3 == 0)
            rez++;
        if(x[0] == 0 && y[0] == 0)
            rez++;
        if(x[1] == 0 && y[1] == 0)
            rez++;
        if(x[2] == 0 && y[2] == 0)
            rez++;
    }
    else
    {
        int levo = 0;
        int desno = 0;
        int jednakost = 0;
        int x0 = -x[0];

        for(int i = 1; i < n; i++)
        {
            if(x[i] <= x0)
                levo++;
            if(x[i] >= x0)
                desno++;
        }

        rez = levo * desno;
    }

    cout << rez;

    return 0;
}